<?php
/**
 * The template to display the background video in the header
 *
 * @package INTEGRO
 * @since INTEGRO 1.0.14
 */
$integro_header_video = integro_get_header_video();
$integro_embed_video  = '';
if ( ! empty( $integro_header_video ) && ! integro_is_from_uploads( $integro_header_video ) ) {
	if ( integro_is_youtube_url( $integro_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $integro_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php integro_show_layout( integro_get_embed_video( $integro_header_video ) ); ?></div>
		<?php
	}
}
